:root{
    --var-10: 10px;
    --var-15: 15px;
    --var-20: 20px;
    --var-25: 25px;
    --var-30: 30px;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

html, body{
    width: 100%;
    height: 100%;
}

a{
    text-decoration: none;
}

.dark .page-body{
    background-color: black;
}

.page-body{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    overflow: hidden;
    min-height: 100vh;
}

::-webkit-scrollbar{
    width: 3px;
    background-color: black;
}

::-webkit-scrollbar-track{
    width: 3px;
    background-color: black;
}

::-webkit-scrollbar-thumb{
    width: 3px;
    background-color: rgba(255, 255, 255, 0.363);
}

/* =========================
   GLOW EFFECTS
========================= */

.corner-glow-up{
    position: absolute;
    width: 70vw;
    height: 70vw;
    filter: blur(80px);
    opacity: 0.8;
    z-index: 2;
    pointer-events: none;
}

.corner-glow-bottom {
    position: absolute;
    width: 70vw;
    height: 70vw;
    filter: blur(100px);
    opacity: 0.8;
    z-index: 2;
    pointer-events: none;
}

/* TOP LEFT GLOW */
.corner-glow-up {
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
    background: radial-gradient(circle, rgb(0, 255, 255), transparent 70%);
}

.dark .corner-glow-up{
    background: radial-gradient(circle, rgba(0, 255, 255, 0.4), transparent 70%);
}

/* BOTTOM RIGHT GLOW */
.corner-glow-bottom {
    bottom: 0;
    right: 0;
    transform: translate(50%, 50%);
    background: radial-gradient(circle, rgba(255, 0, 150), transparent 70%);
}
.dark .corner-glow-bottom {
    background: radial-gradient(circle, rgba(255, 0, 150, 0.4), transparent 70%);
}

/* Dark mode glow enhancement */
.dark .corner-glow-up,
.dark .corner-glow-bottom {
    opacity: 1;
}